Name:           ocaml-rope
Version:        0.6.1
Release:        1%{?dist}
Summary:        Ropes ("heavyweight strings") for OCaml

License:        LGPLv2+ with exceptions
URL:            http://rope.forge.ocamlcore.org/
Source0:        https://github.com/Chris00/ocaml-rope/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-oasis
BuildRequires:  ocaml-benchmark-devel
BuildRequires:  jbuilder
BuildRequires:  opam-installer

%description
Ropes ("heavyweight strings") are a scalable string implementation:
they are designed for efficient operation that involve the string as
a whole. Operations such as concatenation, and substring take time
that is nearly independent of the length of the string. Unlike
strings, ropes are a reasonable representation for very long strings
such as edit buffers or mail messages.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{version}


%build
jbuilder build @install


%install
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
jbuilder install --destdir="$DESTDIR" --libdir="$OCAMLFIND_DESTDIR" --verbose

# These files will be installed using the doc and license directives
rm $DESTDIR/doc/rope/{CHANGES.md,LICENSE.md,README.md}

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
jbuilder runtest


%files
%doc README.md CHANGES.md
%license LICENSE.md
%{_libdir}/ocaml/rope
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/rope/*.a
%exclude %{_libdir}/ocaml/rope/*.cmxa
%exclude %{_libdir}/ocaml/rope/*.cmx
%endif
%exclude %{_libdir}/ocaml/rope/*.mli
%exclude %{_libdir}/ocaml/rope/top/*.ml


%files devel
%doc README.md CHANGES.md
%license LICENSE.md
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/rope/*.a
%{_libdir}/ocaml/rope/*.cmxa
%{_libdir}/ocaml/rope/*.cmx
%endif
%{_libdir}/ocaml/rope/*.mli
%{_libdir}/ocaml/rope/top/*.ml


%changelog
* Tue Jan 23 2018 Andy Li <andy@onthewings.net> - 0.6.1-1
- New upstream version.
- Enable debug package.

* Fri Dec 22 2017 Andy Li <andy@onthewings.net> - 0.6-1
- Initial RPM release.
